aboutsummaryrefslogtreecommitdiff
path: root/test/lint/lint-includes.sh
diff options
context:
space:
mode:
authorHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2021-11-07 14:13:39 +0200
committerHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2021-11-13 16:54:56 +0200
commit9a1ad7bc0dd8a0769738ca4dffbeb8d55438b0dc (patch)
treeeb2ec6cb2b8dd61d246e0e077b875afe445044d0 /test/lint/lint-includes.sh
parent5cc083cd46ad71510f56af957e2e8733c388c6f1 (diff)
downloadbitcoin-9a1ad7bc0dd8a0769738ca4dffbeb8d55438b0dc.tar.xz
test: Enable SC2086 shellcheck rule
Diffstat (limited to 'test/lint/lint-includes.sh')
-rwxr-xr-xtest/lint/lint-includes.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-includes.sh b/test/lint/lint-includes.sh
index e9893558e4..9b19699dab 100755
--- a/test/lint/lint-includes.sh
+++ b/test/lint/lint-includes.sh
@@ -12,7 +12,7 @@ export LC_ALL=C
IGNORE_REGEXP="/(leveldb|secp256k1|minisketch|univalue|crc32c)/"
# cd to root folder of git repo for git ls-files to work properly
-cd "$(dirname $0)/../.." || exit 1
+cd "$(dirname "$0")/../.." || exit 1
filter_suffix() {
git ls-files | grep -E "^src/.*\.${1}"'$' | grep -Ev "${IGNORE_REGEXP}"